Costinbos77 Posted April 16, 2014 Posted April 16, 2014 (edited) Hello! If you want to select a particular type of object on a specified position, ssGet function fails when multiple objects are overlapped in that place. (setq ss (ssGet '(0 0) '((0 . "circle")) ) ) How can resolve this deficiency? Thanks in advance. Costin Edited April 16, 2014 by Costinbos77 Quote
MSasu Posted April 16, 2014 Posted April 16, 2014 It doesn't fail, nor is this a deficiency, Costin! It just replicate AutoCAD's behavior on pick selection (that it, retrive one entity). Quote
MSasu Posted April 16, 2014 Posted April 16, 2014 mostafa badran said: (setq ss (ssget '((0 . "circle")))) Please note that this statement will require user's interaction and this may not be what OP is looking for. Quote
Costinbos77 Posted April 16, 2014 Author Posted April 16, 2014 (edited) I need to select through coordinates. I want to find all circles, points, or blocks with attributes that are in the vertices of the polyline and not the green circle. But in those vertices , other objects are blocking the selection. Edited April 16, 2014 by Costinbos77 Quote
mostafa badran Posted April 16, 2014 Posted April 16, 2014 MSasu said: Please note that this statement will require user's interaction and this may not be what OP is looking for. sorry MSasu misunderstand . Quote
MSasu Posted April 16, 2014 Posted April 16, 2014 Costin, I noticed that meantime you added a picture to your post. Can you clarify, please, which are the coordinates of that circle's center? If those were 0, 0, 0, then you cannot select it like the statement above since picking on that point will require either a very small zoom factor or a very large pickbox to intersect its circumference. Rather try to filter for center's coordinates: (setq ss (ssget [color=magenta]"_X"[/color] '((0 . "CIRCLE") [color=magenta](10 0.0 0.0 0.0)[/color]))) Quote
Costinbos77 Posted April 16, 2014 Author Posted April 16, 2014 (edited) Thanks Mircea. Works. I tried another time and it did not work, I probably forgot to do zoom in the area. (setq ss (ssget "_X" '((0 . "CIRCLE") (cons 10 [color="red"]p[/color])))) where [color="red"]p[/color] = (x y) , automatically z = 0 . or (x y z) If circles are coordinated 3D and polyline is 2D ( even with elevation ) , or If circles are coordinated 2D and polyline is 3D , then not select anything. Then here and solving : (setq ss (ssGet "_X" (list '(0 . "Circle") '(-4 . "=,=,*") (cons 10 [color="red"]p[/color]))) ) Edited April 16, 2014 by Costinbos77 Quote
BIGAL Posted April 16, 2014 Posted April 16, 2014 For the problem that the circle is not quite exactly on a Pline vertice if thats your search pt use below, window must be slightly larger than circle diameter. (setq ss (ssget "_W" pt1 pt2 '((0 . "CIRCLE") ))) Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.